///////////////////////////////////////////////////////////////
//    Crowbar（クロウバー）
///////////////////////////////////////////////////////////////

// 動作に関わるオプション．ドキュメントを読んで理解したら自由に設定して構いません．
void Options() {
//  crow.setAutoScrollPage(0.5);
//  crow.setAutoScrollLines(2);
//  crow.enableOverlap();
  crow.fontSize(14);
  crow.hStep(1.5);
  crow.vStep(1.5);
  crow.textColor(#030303);
}

// パラメータ入力前に行っておきたい処理（setup()の最初に自動実行）
void initCrowbar() {
  crow = startCrowbar.generate(50, 30, 2);
}
crowbarClass crow;

///////////////////////////////////////////////////////////////////////////////////
// ここから下のコードはユーザが積極的に記述して構わない
///////////////////////////////////////////////////////////////////////////////////
// システム初期設定
void Setup()
{
  int w, h;
  w = width; h = height;
  crow.programComment("Tomahawk統合の実験");

  crow.createView("Text").worldLB(1.0).viewBgColor(#ffffff).viewTextColor(#000000); // テキスト表示
  crow.splitViewV("Left", 0.05).worldLB(1.0).viewBgColor(#ff8080).viewScale(1.0).viewOffset(20, 20);
  crow.view("Left");
  crow.splitViewH("RightUpper", 0.5).worldLB(1.0).viewBgColor(#80ff80).viewScale(1.5);
  crow.splitViewV("RightLower", 0.5).worldLB(1.0).viewBgColor(#8080ff).viewScale(2.0).viewOffset(20, 20);

  // オーバーラップウィンドウ風
  crow.createView("Middle", w / 4, h / 4, w /2, h /2).worldLB(1.0).viewBgColor(#808080).transparency(128).viewScale(1.0).viewOffset(20, 20).frameWidth(20);
  // 軌跡表示用
  crow.createView("Trajectory").worldLB(1.0).transparentView(true).clrView();

  crow.param("テキスト表示X座標").setInt(0).label("cx");
  crow.param("テキスト表示Y座標").setInt(1).label("cy");
  crow.nonStop();
}

// メインルーチン
// ユーザのメインのプログラム（１度しか実行されない）を以下に記述
int cx, cy;
int targetView = 0;
boolean clicked;
PImage pimg;

void Main() {
  crow.displayAllViewData();
  cx = crow.getInt("cx");
  cy = crow.getInt("cy");
  
  clicked = false;
  crow.inputEnable();
}

